#!/bin/sh

############################################################################
#
#  Source Name : install_su_parent.sh
#  Option      : No option.
#  Result Code : 0    -> No errors occurred.
#                128  -> Failed uninstall_su.sh.
#                129  -> Failed install_su.sh.
#                130  -> Failed yum_su.sh.
#
############################################################################

./bin/uninstall_su.sh
if test $? -lt 128 ; then
	./bin/yum_su.sh
	if test $? -lt 128 ; then
		./bin/install_su.sh
		if test $? -lt 128 ; then
			exit 0
		else
			exit 129
		fi
	else
		exit 130
	fi
else
	exit 128
fi
